Bug 100388 - Mail Merge Fields cause partial inability to insert spaces between words
Summary: Mail Merge Fields cause partial inability to insert spaces between words
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2016-06-15 07:42 UTC by Marco Filippozzi
Modified: 2018-05-11 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The bug with the first line full of spaces (103.39 KB, image/png)
2016-06-15 07:42 UTC, Marco Filippozzi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Filippozzi 2016-06-15 07:42:52 UTC
Created attachment 125660 [details]
The bug with the first line full of spaces

Steps:
Insert a Mail Merge field in a writer document.
Write something before the field until it goes near the end of the line.
Write until the field goes to the next line.
When it does, try writing more words before the field and notice how when you try to press space you are blocked and can't write anything until you write a letter or a number.
Notice also that the spaces you tried to write have now appeared.

If you fill the line before the mail merge field with spaces instead, when the field goes to the next line, the line before gets blocked in the same way it got blocked before but, pressing the Non printable characters button, you can clearly see that the spaces have disappeared.
If you keep pressing space they will eventually reappear.

Expected behaviour:
Writer should show spaces.

Comment:
 The bug itself is not critical and can be avoided but can cause confusion in the user.

Tested and present on:
Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 4.4.0.1
Build ID: 1ba9640ddd424f1f535c75bf2b86703770b8cf6f
Locale: it_IT
OS: openSUSE Leap 42.1 (x86_64)

Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: it_IT.UTF-8
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.3.0.0.alpha0+
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.2.0.0.beta2
Build ID: ae12e6f168ba39f137fc110174a37c482ce68fa4
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 4.3.0.1
Build ID: 9ed0c4329cf13f882dab0ee8b9ecd7b05e4aafbb
OS: openSUSE Leap 42.1 (x86_64)
Comment 1 Buovjaga 2016-06-18 13:04:02 UTC
I could reproduce.

For other testers: to quickly insert a MM field:
Insert - Field - More fields - Database - MM fields
Expand the Addresses - Customers.
Select ID and click Insert & close dialog.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: c13f60e7cd18df6b0ab70289f5b91ee01e4ae126
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 18th 2016
Comment 2 QA Administrators 2018-05-11 02:32:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug